const app = getApp()

Page({
  data: {
    videoAd:null
  },
  back1()
  {
    wx.navigateBack()
  },
  onUnload()
  {
    console.log('界面2的onUnload')
    //安卓oppo手机上，无论卸载页面2的时候，是否销毁广告对象，第二次进入页面2，均无法弹出视频
    //this.data.videoAd.destroy()
  },
  //显示广告
  showad()
  {
    var that=this
    //显示的时候挂接回调
    that.data.videoAd.closeHandler = (res) => 
    {
        if (res && res.isEnded || res === undefined) 
        {
            console.log('看完关闭')

        } else {
            console.log('中途关闭')
        }
        try 
        {
          if (that.data.videoAd)
          {
            if (that.data.videoAd.closeHandler) 
            {
              //卸载回调
              that.data.videoAd.offClose(that.data.videoAd.closeHandler);
              console.log("videoAd.offClose 正常卸载");
            }
          }
        } 
        catch (e) 
        {
            console.log("videoAd.offClose 卸载异常");
        }
    };
    //挂接回调
    that.data.videoAd.onClose(that.data.videoAd.closeHandler);
    //显示广告
    that.data.videoAd.show().catch(() => {
      that.data.videoAd.load()
        .then(() => that.data.videoAd.show())
        .catch(err => 
          {
           console.log('激励视频 广告显示失败,原因:'+JSON.stringify(err))
        })
    })
  },
  onLoad() {
    console.log('界面2的onload,在里面创建广告')

    //创建和加载广告
    this.data.videoAd=null
    this.data.videoAd = wx.createRewardedVideoAd
    ({
      adUnitId: 'adunit-e5e34e98018a4e21'
    })

    if (this.data.videoAd==null)
    {
      console.log('app没能创建广告')
      return 
    }
    else
    {
      console.log('创建le 广告')
    }
    this.data.videoAd.onLoad(() => {})
    this.data.videoAd.onError((err) => 
    {
      console.error('激励视频光告失败', err)
    })
  },
})
